FORUMS

Mysterious GG1 Google Device Stops by FCC. Glass v2?

As the year progresses, we draw further away from Google’s annual I/O … more

Material and Material Dark Hit Samsung’s Theme Store

The latest version of Touchwiz, launched alongside the Galaxy S6 and S6 Edge, … more

Swappa’s New App Helps You Value Your Device

There comes a sad time in everyone’s life where you must part ways with your … more

Xiaomi Sold 34.7 Million Phones In 6 Months

2015 has been a phenomenal year for Xiaomi so far. With a stellar rise in 2014, 2015 saw … more

[Q] Verizon Galaxy S3 remove 4.3 update?

6 posts
Thanks Meter: 0
 
By Almostlastplace, Junior Member on 11th February 2014, 12:39 AM
Post Reply Subscribe to Thread Email Thread
11th February 2014, 11:59 PM |#11  
OP Junior Member
Flag Tampa
Thanks Meter: 0
 
More
Quote:
Originally Posted by MetalMan2

You can still root, install a ROM with Safe Root or Safestrap or whatever, and have a better-running phone. You simply can't install a different kernel... it sounds like you can even still have a custom Recovery (modified TWRP is my understanding).

I have used Safes Root and Safestrap, but i can't get the ROM I want (Cyanogenmod) to work with it.

Quote:
Originally Posted by shark_dude

I can't post links but if you search for thread number 2565758, that's everything you need for the Saferoot method that works for the Galaxy S3 (usually). I say usually because it doesn't work on my phone but I know plenty of others that have had no issues.

I've already used saferoot but I can't get into custom recovery with it, and I can't use custom ROMs because of the update, that's why I've been looking fr a way to downgrade to 4.1 or something.
 
 
12th February 2014, 12:18 AM |#12  
SlimSnoopOS's Avatar
Senior Member
Thanks Meter: 2,081
 
More
Quote:
Originally Posted by Almostlastplace

I have used Safes Root and Safestrap, but i can't get the ROM I want (Cyanogenmod) to work with it.

I've already used saferoot but I can't get into custom recovery with it, and I can't use custom ROMs because of the update, that's why I've been looking fr a way to downgrade to 4.1 or something.

Want some advice? Sell the S3 for a pre-4.3 S3 or sell the S3 for another device. Theres no guarantee that AOSP will ever work with Safestrap.

Sent from my SCH-I535 using Tapatalk 4
12th February 2014, 12:57 AM |#13  
OP Junior Member
Flag Tampa
Thanks Meter: 0
 
More
Quote:
Originally Posted by SlimSnoopOS

Want some advice? Sell the S3 for a pre-4.3 S3 or sell the S3 for another device. Theres no guarantee that AOSP will ever work with Safestrap.

Sent from my SCH-I535 using Tapatalk 4

Well I have been considering dropping a bit of money getting a used international S3 because the Cyanogenmod installer would work with it, but I don't think my Verizon SIM card would work in it.
12th February 2014, 01:05 AM |#14  
BadUsername's Avatar
Recognized Contributor
Thanks Meter: 852
 
More
Quote:
Originally Posted by Almostlastplace

Well I have been considering dropping a bit of money getting a used international S3 because the Cyanogenmod installer would work with it, but I don't think my Verizon SIM card would work in it.

It wouldn't, you need a CDMA device, the international s3 doesn't have CDMA bands. Verizon leaves you pretty limited in device selection.

Sent from my SCH-I535 using Tapatalk 2
12th February 2014, 03:00 AM |#15  
OP Junior Member
Flag Tampa
Thanks Meter: 0
 
More
Quote:
Originally Posted by BadUsername

It wouldn't, you need a CDMA device, the international s3 doesn't have CDMA bands. Verizon leaves you pretty limited in device selection.

Sent from my SCH-I535 using Tapatalk 2

That's what I thought, so that pretty much just leaves me with Verizon versions of the phone... I'll make sure not to stick with verizon when my current contract expires.
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes